package org.ntlab.radishforandroidstudio.cactusClient;

import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.support.v7.app.AppCompatActivity;

import org.ntlab.radishforandroidstudio.R;
import org.ntlab.radishforandroidstudio.cactusClient.views.StartFragment;


public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //splash
        // ここで5秒間スリープし、スプラッシュを表示させたままにする。
        try {
            Thread.sleep(3000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }

        setTheme(R.style.AppTheme_NoActionBar);
        setContentView(R.layout.activity_main);

        //fragmentの設定
        Fragment fragment;
        fragment = new StartFragment();
        getSupportFragmentManager().beginTransaction().add(R.id.fragment_place, fragment).commit();
        setContentView(R.layout.activity_main);
    }


}
